# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    identities_directory_root: '%kernel.project_dir%/public/documents'


    app.locales: [en,fr]
    app.locales.all: fr|en
    app.card: Banlal
    app.site.name: Banlal
    app.site.fullname: Banlal.com
    app.site.tel: 0000000000
    app.site.email: contact@Banlal.com
    app.site.address: 4 rue de flandre, 94230 Cachan France
#    app.localeCurrency: ['gn': ['om']]
services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

#
#    App\Entity\Currency:
#        autowire: true


    App\EventSubscriber\ImageCacheSubscriber:
        tags:
            - { name: doctrine.event_subscriber }


#    postgresql:
#        # supported versions: 9.6, 10, 11, 12
#        # 9.3 is also available but not maintained upstream
#        type: "postgresql:11"
#        disk: 1024